[Yum] Re: RHL 2.1AS and yum?

Tom Diehl tdiehl at rogueind.com
Tue Feb 4 22:00:59 UTC 2003


On 4 Feb 2003, seth vidal wrote:

> On Tue, 2003-02-04 at 10:08, Tom Diehl wrote:
> > Hi all,
> > I was wondering if anyone has tried to upgrade from 7.2 to 2.1AS using yum??
> > I have built most of it from the .src rpms but for some reason I cannot get
> > the right combination of anaconda, libs and kernels to allow me to get 2.1AS
> > installed on the machine. I am thinking about bypassing the anaconda problems
> > by using yum to do the upgrade. I got 99% of the rpms to build using a 
> > partially updated 7.2 box as a compile box.
> > 
> 
> provided that the rpms are newer (ie, higher e-v-r) then it should work.

Makes perfect sense. I would not expect trying to go the other way to work.

> I did a fair number of rhl 7.1->7.3 and rhl 7.2->7.3 upgrades with yum -
> and barring some dumb pkging bugs they worked pretty ok.

Understood

> Specifically look out for the kernel <2.4.7 and mkinitrd
> 
> in short - remove the older kernels.

2.1AS uses a 2.4.9 series kernel. I am not sure what the errata kernel
is but at this point I suppose there is no reason not to just compile all
of the errata stuff and do it with the yum update. 

Do you agree or is there a reason to do it after the inital upgrade??

> I upgraded a primary file server from 7.2 to 7.3 in place, other than
> the reboot it works just fine.

OOH!! I like that!!

Thanks for the info,

-- 
.............Tom	"Nothing would please me more than being able to 
tdiehl at rogueind.com	hire ten programmers and deluge the hobby market 
			with good software." -- Bill Gates 1976

   			We are still waiting ....




More information about the Yum mailing list